/**
 * ActClassExtract.java
 *
 * File generated from the medication::ActClassExtract uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassExtract.
 *
 * 
 */

@XmlType(name = "ActClassExtract")
@XmlEnum
@XmlRootElement(name = "ActClassExtract")
public enum ActClassExtract {
	@XmlEnumValue("EXTRACT")
	EXTRACT("EXTRACT"),
	@XmlEnumValue("EHR")
	EHR("EHR");
	
	private final String value;

    ActClassExtract(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassExtract fromValue(String v) {
        for (ActClassExtract c: ActClassExtract.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}